Query AI agent metric

POST
/beta/intelligence/aiagents/metrics/{metricId}

Get the value of an AI agent metric for a period. All aggregates of the metric are returned. If nothing matches, the counts are 0. Deleted AI agents are included.

Authorization

ApiKeyAuth
headerAuthorization<token>

Path Parameters

metricId*string

The id of an AI agent metric

Request Body

The query

application/json
  1. body

An AI agent metric query

primaryFilter*

The period to query

filters?array<>

The filters to apply. All filters must match

timezone*string

The timezone presets and days are evaluated in, such as Europe/Copenhagen

Response Body

The metric values, keyed by aggregate name

application/json
  1. response
data*

The metric values, keyed by the name of each of the metric's aggregates. All aggregates are included. If nothing matches, count is 0, min, max, sum, average, stdDev and percentage are null, and an object value is filled with zeros

curl -X POST 'https://dev.dixa.io/beta/intelligence/aiagents/metrics/aiAgentFeedback' \  -H 'Authorization: <API token>' \  -H 'Content-Type: application/json' \  -d '{  "primaryFilter": {    "period": {      "interval": {        "from": "2026-06-01T00:00:00Z",        "to": "2026-07-01T00:00:00Z"      }    }  },  "timezone": "Europe/Copenhagen"}'
{
"data": {
"count": 412,
"thumbsUp": 351,
"thumbsDown": 61
}
}

The number of rated answers, and how many were rated thumbs up and thumbs down